import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
import { createRouter, createWebHistory } from "vue-router";

import Entries from "./components/unification/Entries/Entries.vue";
import Unification from "./components/unification/Unification/Unification.vue";

const router = createRouter({
  history: createWebHistory(),
  routes: [
    { path: '/:lang/entries/', component: Entries },
    { path: '/:lang/entries/unification/', component: Unification },
    { path: '/:pathMatch(.*)*', component: null, name: '404' },
  ]
});

const app = createApp(App);
app.use(router);
app.mount('#vue-app');
